org.apache.ignite.internal.processors.continuous

## Class StopRoutineAckDiscoveryMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage
  - - org.apache.ignite.internal.processors.continuous.StopRoutineAckDiscoveryMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class StopRoutineAckDiscoveryMessage
    extends AbstractContinuousMessage

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`routineId`

### Constructor Summary

Constructors
Constructor and Description
`StopRoutineAckDiscoveryMessage(UUID routineId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`boolean` `stopProcess()` See `DiscoverySpiCustomMessage.stopProcess()`.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`createDiscoCache, id, isMutable, routineId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StopRoutineAckDiscoveryMessage

    public StopRoutineAckDiscoveryMessage(UUID routineId)

Parameters:
  `routineId` - Routine id.

### Method Detail

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Returns:
  Ack message or `null` if ack is not required.

#### stopProcess

    public boolean stopProcess()

See `DiscoverySpiCustomMessage.stopProcess()`.

Specified by:
  `stopProcess` in interface `DiscoveryCustomMessage`
Overrides:
  `stopProcess` in class `AbstractContinuousMessage`
Returns:
  `True` if message should not be sent to others nodes after it was processed on coordinator.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018